*#            ElemsType:
*#           		1=Linear,
*#           		2=Triangle,
*#           		3=Quadrilateral,
*#           		4=Tetrahedra,
*#           		5=Hexahedra,
*#           		6=Prism,
*#           		7=OnlyPoints.
*#
*# loop materials
*# If(ElemsMat==MatNum)
*Set Var check2dinterfmat=Operation(strcmp(ElemsMatProp(Material_Prototype),"CC2DInterface"),Int)
*Set Var check3dinterfmat=Operation(strcmp(ElemsMatProp(Material_Prototype),"CC3DInterface"),Int)
*Set Var checkinterfmat=Operation(check3dinterfmat*check2dinterfmat)
*# // 1: ElemsType=*ElemsType, IsQuadratic=*IsQuadratic(Int), ElemsNnode=*ElemsNnode, checkinterfmat=*checkinterfmat
*Intformat "%10i"
*If(strcmp(ElemsMatProp(Material_Prototype),"CCSpringMaterial")==0)
*#
*include ..\include.src.bas\Spring_MaterialElement_Conectivity.bas
*#
*#
*ElseIf( ElemsType==2 && IsQuadratic(Int)==0 && ElemsNnode==3 && checkinterfmat!=0 )
*# // TRIANGLE linearni
*ElemsNum *ElemsConec
*#
*#
*ElseIf( ElemsType==2 && IsQuadratic(Int)==1 && ElemsNnode==6 && checkinterfmat!=0 )
*# // TRIANGLE kvadraticky
*ElemsNum *ElemsConec
*# (4) *ElemsConec(5) *ElemsConec(6) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) 
*#
*#
*ElseIf( ElemsType==3 && IsQuadratic(Int)==0 && ElemsNnode==4 && checkinterfmat!=0 )
*# // QUAD linearni
*ElemsNum *ElemsConec
*#
*#
*ElseIf( ElemsType==3 && IsQuadratic(Int)==1 && ElemsNnode==8 && checkinterfmat!=0 )
*# // QUAD kvadraticky
*ElemsNum *ElemsConec
*# (5) *ElemsConec(6) *ElemsConec(7) *ElemsConec(8) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4)
*#
*#
*ElseIf( ElemsType==3 && IsQuadratic(Int)==1 && ElemsNnode==8 && checkinterfmat==0 )
*# // QUAD kvadraticky
*ElemsNum *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4) *ElemsConec(5) *ElemsConec(7)
*#
*#
*ElseIf( ElemsType==4 && IsQuadratic(Int)==0 && ElemsNnode==4 && checkinterfmat!=0 )
*# // TETRAHERON linearni
*ElemsNum *ElemsConec
*#
*#
*ElseIf( ElemsType==4 && IsQuadratic(Int)==1 && ElemsNnode==10 && checkinterfmat!=0 )
*# // TETRAHERON kvadraticky
*ElemsNum *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4) *ElemsConec(5) *ElemsConec(6) *ElemsConec(7) *ElemsConec(9) *ElemsConec(10) *ElemsConec(8)
*#
*#
*ElseIf( ElemsType==5 && IsQuadratic(Int)==0 && ElemsNnode==8 && checkinterfmat(Int)!=0 )
*# // HEXAHEDRA linearni
*ElemsNum *ElemsConec(5) *ElemsConec(6) *ElemsConec(7) *ElemsConec(8) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4)
*#
*#
*ElseIf( ElemsType==5 && IsQuadratic(Int)==0 && ElemsNnode==8 && checkinterfmat(Int)==0 )
*# // HEXAHEDRA linearni interface
*ElemsNum *ElemsConec(5) *ElemsConec(6) *ElemsConec(7) *ElemsConec(8) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4)
*#
*#
*ElseIf( ElemsType==5 && IsQuadratic(Int)==1 && ElemsNnode==20 && checkinterfmat!=0 )
*# // HEXAHEDRA kvadraticky
*ElemsNum *ElemsConec(5) *ElemsConec(6) *ElemsConec(7) *ElemsConec(8) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4) *ElemsConec(17) *ElemsConec(18) *ElemsConec(19) *ElemsConec(20) *ElemsConec(9) *ElemsConec(10) *ElemsConec(11) *ElemsConec(12) *ElemsConec(13) *ElemsConec(14) *ElemsConec(15) *ElemsConec(16)
*#
*#
*ElseIf( ElemsType==5 && IsQuadratic(Int)==1 && ElemsNnode==20 && checkinterfmat==0 )
*# // HEXAHEDRA kvadraticky
*ElemsNum *ElemsConec(5) *ElemsConec(6) *ElemsConec(7) *ElemsConec(8) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3) *ElemsConec(4) *ElemsConec(17) *ElemsConec(18) *ElemsConec(19) *ElemsConec(20) *ElemsConec(9) *ElemsConec(10) *ElemsConec(11) *ElemsConec(12)
*#
*#
*ElseIf( ElemsType==6 && IsQuadratic(Int)==0 && ElemsNnode==6 && checkinterfmat==0)
*# // PRISM linearni - kontaktni element
*ElemsNum *ElemsConec(4) *ElemsConec(5) *ElemsConec(6) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3)
*#
*#
*ElseIf( ElemsType==6 && IsQuadratic(Int)==1 && ElemsNnode==15 && checkinterfmat==0)
*# // PRISM kvadraticky - kontaktni element
*ElemsNum *ElemsConec(4) *ElemsConec(5) *ElemsConec(6) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3)  *ElemsConec(13) *ElemsConec(14) *ElemsConec(15) *ElemsConec(7) *ElemsConec(8) *ElemsConec(9) *ElemsConec(10) *ElemsConec(11) *ElemsConec(12)
*#
*#
*ElseIf( ElemsType==6 && IsQuadratic(Int)==1 && ElemsNnode==15 && checkinterfmat==0)
*# // PRISM kvadraticky - kontaktni element
*ElemsNum *ElemsConec(4) *ElemsConec(5) *ElemsConec(6) *ElemsConec(1) *ElemsConec(2) *ElemsConec(3)  *ElemsConec(13) *ElemsConec(14) *ElemsConec(15) *ElemsConec(7) *ElemsConec(8) *ElemsConec(9)
*#
*#
*ElseIf(ElemsType==1 && IsQuadratic(Int)==1)
*ElemsNum *ElemsConec(1) *ElemsConec(3) *ElemsConec(2)
*Else
// Unknown element type  - vsechny ostatni pripady
*ElemsNum *ElemsConec
// 2: ElemsType=*ElemsType, IsQuadratic=*IsQuadratic(Int), ElemsNnode=*ElemsNnode, checkinterfmat=*checkinterfmat
*WarningBox Info: Unknown element type was written to inp file. Find "Unknown element type" in inp file. 
*EndIf
*# break
*#
*# EndIf
*# End materials
*#
*Set Var PreviousType=CurrentType
*Set Var PreviousIndex=groupID
*Set Var oldElemsMat=ElemsMat(Int)
