proc Create_surface {px py dx dy w} {
    set OldCreateAlwaysNewPoint [GiD_Info variables CreateAlwaysNewPoint]
    GiD_Process escape escape escape escape utilities variables CreateAlwaysNewPoint 1
    GiD_Process escape escape escape escape Geometry Create Object \
	    Rectangle $px $py 0.0 [expr $px+$dx] [expr $py+$dy] 0.0
    GiD_Process escape escape escape escape utilities variables \
	    CreateAlwaysNewPoint $OldCreateAlwaysNewPoint escape escape
}

proc positionWindow w {
    wm geometry $w +300+300
}

proc CreateUserSurface { } {
    set w .cSurface
    catch {destroy $w}
    toplevel $w
    wm title $w [= "Create User Surface"]
    positionWindow $w
    
    frame  $w.principal
    label  $w.principal.label#1 -text "px:" -width 5 -anchor w
    entry  $w.principal.entry#1 -width 5 -borderwidth 1 -insertborderwidth 1
    
    label  $w.principal.label#2 -text "py:" -width 5 -anchor w
    entry  $w.principal.entry#2 -width 5 -borderwidth 1 -insertborderwidth 1
    
    frame  $w.incremental
    label  $w.incremental.label#1 -text "dx:" -width 5 -anchor w
    entry  $w.incremental.entry#1 -width 5 -borderwidth 1 -insertborderwidth 1
    
    label  $w.incremental.label#2 -text "dy:" -width 5 -anchor w
    entry  $w.incremental.entry#2 -width 5 -borderwidth 1 -insertborderwidth 1
    
    frame $w.buttons
    pack  $w.buttons -side bottom -fill x -pady 3m
    button $w.buttons.dismiss -text [= "Close"] -command "destroy $w"
    proc CreateSurfaceCmd { w } {
	set px [$w.principal.entry#1   get]
	set py [$w.principal.entry#2   get]
	set dx [$w.incremental.entry#1 get]
	set dy [$w.incremental.entry#2 get]
	#must check if all variables are correctly set !!!
	Create_surface $px $py $dx $dy $w
	GiD_Process zoom frame escape escape escape escape
    }
    button $w.buttons.code -text [= "Apply"] -command "CreateSurfaceCmd $w"
    pack $w.buttons.code $w.buttons.dismiss -side left -expand 1
    
    pack $w.principal.label#1 $w.principal.entry#1 $w.principal.label#2 $w.principal.entry#2 -side left
    pack $w.incremental.label#1 $w.incremental.entry#1 $w.incremental.label#2 $w.incremental.entry#2 -side left
    pack $w.principal -side top -fill x
    pack $w.incremental -side top -fill x   
}

#CreateUserSurface
