RESTORE FROM
*Set Var StepIndex=GenData(Stored_Step_For_Restart,Int)
*include ..\include.src.bas\StoreStepID.bas

*Set Var Axisym=0
*If(ndime==2 && GenData(Axi_symmetric_task,Int)==1)
*Set Var Axisym=1
*EndIf

*If(GenData(Restart_of_Analysis,Int)==1 && GenData(Stored_Step_For_Restart,Int) <= 0)
*MessageBox error: Stored_Step_for_Restart have to be great Then 1!
*endif

*Set Var DefaultSpace=3
*include ..\include.src.bas\initialVariablesSetting.bas
*Set Var AddTranspAnalysis=60

/** Load case combination **/
Output Record Length 9000
// Apply load case 1 and etc. on the model
*Set Var AddingConstruction=3000
*Set Var StepIndex=0
*Set Var IntervalIndex=0
*Set Var IntervalIndex2=0
*Set elems(All)

*loop intervals
*#
*Set Var IntervalIndex2=Operation(IntervalIndex2+1)
*If(IntvData(Interval_Is_Active,real)==1)
*#
*Set Var IntervalIndex=Operation(IntervalIndex+1)
*Set Var ApplyInSubIncrement=1
// begin of block For Load Case
*If(GenData(Restart_of_Analysis,Int)==1 && StepIndex >= GenData(Stored_Step_For_Restart,Int) )
*include ..\include.src.bas\WriteLoadCase_for_Transport.bas
*EndIf

*Set Var multip=Operation(IntvData(INTERVAL_Multiplier,Real)/IntvData(Number_of_LOAD_STEPs,Real))
*Set Var LastInteractMater=0
*Set Var EActivity=0
*Set Var ElemConstrActiv=1

*If(GenData(Stored_Step_For_Restart,Int) < StepIndex)
*If(strcmp(GenData(Calculation_Analysis),"SandwichTemperature3D")!=0)
*include ..\include.src.bas\ElementActivity.bas
*EndIf

*If(IntvData(User_Solution_Parameters,Int)==1)
//----------------------------------------------------------------------------\\
//                      Setting of Method in INTERVAL *IntervalIndex                  \\
//----------------------------------------------------------------------------\\
SET *IntvData(Method)
*If(strcmp(IntvData(Method),"Arc-Length")==0)
 CONSISTENTLY_LINEARISED
 ARC_LENGTH_VARIABLE_CONSERVATIVE_1/4
 LOAD_DISPLACEMENT_RATIO       0.200
 LOADING_DISPLACEMENT_RATIO_CONSTANT
 REFERENCE_NUMBER_OF_ITERATIONS 5
SET ARC_LENGTH_RESET_STEP_LENGTH
*EndIf
SET Displacement Error *IntvData(Displacement_Error)
SET Residual Error     *IntvData(Residual_Error)
SET Absolute Residual Error *IntvData(Absolute_Residual_Error)
SET Energy Error       *IntvData(Energy_Error)
SET Iteration limit    *IntvData(Iteration_limit)
SET Optimize width     *IntvData(Optimize_width)
SET *IntvData(Stiffness_type)
*If(strcmp(IntvData(Assemble_Stiffness_Matrix),"Each_Iteration")==0)
SET Full_NR
*else
SET Modified_NR
*EndIf
*#If(IntvData(Line-Search_Method,Int)==1)
*If(0)
SET Line-Search
SET *IntvData(Line_Search_With_Iterations)
SET Unbalanced_Energy_Limit *IntvData(Unbalanced_Energy_Limit)
SET Line_Search_Iteration_Limit *IntvData(Line_Search_Iteration_Limit)
SET Minimum_Eta *IntvData(Minimum_Eta)
SET Maximum_Eta *IntvData(Maximum_Eta)
*EndIf
Set SOLVER *IntvData(Solver)
*EndIf

//----------------------------------------------------------------------------- 
//  DEFINITION and EXECUTION OF INTERVAL *IntervalIndex Name:*IntvData(LOAD_NAME)
//----------------------------------------------------------------------------- 
/** Number of steps in Interval *IntervalIndex = *IntvData(Number_of_LOAD_STEPs,Int) **/
*EndIf

*include ..\include.src.bas\WriteTransportStep.bas
*Set Var IsIntervalWithFire=0
*Else


// GiD Interval number *IntervalIndex2 is disabled


*EndIf

*End Intervals

*include ..\include.src.bas\MonitorOutput.bas

*include ..\include.src.bas\StepInfo.bas

/** End of file **/
