*If(IntvData(User_Solution_Parameters,Int)==1)
//----------------------------------------------------------------------------
//                      Setting of Method in Interval *IntervalIndex
//----------------------------------------------------------------------------
SET *IntvData(Method)
*If(strcmp(IntvData(Method),"Arc-Length")==0)
 CONSISTENTLY_LINEARISED
 ARC_LENGTH_VARIABLE_CONSERVATIVE_1/4
 LOAD_DISPLACEMENT_RATIO       0.200
 LOADING_DISPLACEMENT_RATIO_CONSTANT
 REFERENCE_NUMBER_OF_ITERATIONS 5
SET ARC_LENGTH_RESET_STEP_LENGTH
*EndIf
SET Displacement Error *IntvData(Displacement_Error,Real)
SET Residual Error     *IntvData(Residual_Error,Real)
SET Absolute Residual Error *IntvData(Absolute_Residual_Error,Real)
SET Energy Error  *IntvData(Energy_Error,Real)
SET Iteration limit  *IntvData(Iteration_limit,Int)
SET Optimize width *IntvData(Optimize_Band_Width)
SET *IntvData(Stiffness_type)
*If(strcmp(IntvData(Assemble_Stiffness_Matrix),"Each_Iteration")==0)
SET Full_NR
*Else
SET Modified_NR
*EndIf
*If(IntvData(Line-Search_Method,Int)==1)
SET Line-Search
SET *IntvData(Line_Search_With_Iterations)
SET Unbalanced_Energy_Limit *IntvData(Unbalanced_Energy_Limit,Real)
SET Line_Search_Iteration_Limit *IntvData(Line_Search_Iteration_Limit,Real)
SET Minimum_Eta *IntvData(Minimum_Eta,Real)
SET Maximum_Eta *IntvData(Maximum_Eta,Real)
*EndIf
Set SOLVER *IntvData(Solver)
*If(strcmp(IntvData(Solver),"ICCG")==0 || strcmp(IntvData(Solver),"DCG")==0 || strcmp(IntvData(Solver),"DCGN")==0 || strcmp(IntvData(Solver),"LUCN")==0)
Set extend_accuracy_factor *IntvData(Extend_Accuracy_Factor)
*EndIf

*EndIf
