      // Load Cases definition
*#
*If(ApplyInSubIncrement==1)
Load CASE ID *IntervalIndex NAME "LoadName *IntvData(LOAD_NAME)"
*Else
Load CASE ID *Operation(IntervalIndex+AddIncrementLC) NAME "LoadName *IntvData(LOAD_NAME)"
*EndIf

*#
*# Begin block of Supports
*include ..\include.src.bas\Support_for_nodes.bas
*# End block of Supports
*#
*# Begin block of Loads
*include ..\include.src.bas\Load_Force_for.bas
*# End block of Loads
*#
*# Begin block of Prescribed Displacements
*include ..\include.src.bas\Displacement_for_nodes.bas
*# End block of Prescribed Displacements
*#
*# Begin block of Weight
*include ..\include.src.bas\Weight_for_elems.bas
*# End block of Volumes Weight
*#
*# Begin block of Const Temperatura
*include ..\include.src.bas\Temperature_for_elems.bas
*# End block of Volumes Temperatura
*#
*# Begin block of initial Strain
*include ..\include.src.bas\Initial_Strain_for_elems.bas
*# End block of Volumes InitialStrain
*#
*# Begin block of initial Stress
*include ..\include.src.bas\Initial_Stress_for_elems.bas
*# End block of Volumes InitialStress
*#
*# Begin block of MASTER/SLAVE cond
*#If(ndime==3)
*include ..\include.src.bas\Fixed_Contact_for_Surface.bas
*#EndIf
 
      //	-> block of Supports - number of condition #*nSupport
      //
      //	-> block of Loads - Point number of condition #*nLoad1D
      //	-> block of Loads - Line number of condition #*nLoad2D
      //	-> block of Loads - Surface number of condition #*nLoad3D/*nLoadCND3D
      //
      //	-> block of Prescribed Displacements - number of condition #*nDisplacement
      //
      //	-> block of Weight - Line number of condition #*nWeight1D
      //	-> block of Weight - Surface number of condition #*nWeight2D
      //	-> block of Weight - Volume number of condition #*nWeight3D
      //
      //	-> block of Temperatura - number of condition #*nTemperatura
      //
      //	-> block of InitialStrain - Line number of condition #*nInitialStrain1D
      //	-> block of InitialStrain - Surface number of condition #*nInitialStrain2D
      //	-> block of InitialStrain - Volume number of condition #*nInitialStrain3D
      //
      //	-> block of InitialStress - Line number of condition #*nInitialStress1D
      //	-> block of InitialStress - Surface number of condition #*nInitialStress2D
      //	-> block of InitialStress - Volume number of condition #*nInitialStress3D
      //
      //	-> block of Master/Slave  #*nMasterSlaveIndex

                                                                                 
